Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Member Functions | Public Attributes | List of all members
ItemConfig::Item Class Reference

## Public Member Functions
boolean | IsCollectible ()
boolean | IsTrinket ()
boolean | IsNull ()

## Public Attributes
ItemType | Type
| mostly for Lua so it will not make a copy More...
integer | ID
string | Name
string | Description
string | GfxFileName
integer | AchievementID
integer | CacheFlags
integer | AddMaxHearts
integer | AddHearts
integer | AddSoulHearts
integer | AddBlackHearts
integer | AddBombs
integer | AddKeys
integer | AddCoins
integer | MaxCharges
integer | MaxCooldown
boolean | Special
integer | DevilPrice
const const Costume & | Costume
boolean | Discharged

## Member Function Documentation

## ◆ IsCollectible()

boolean ItemConfig::Item::IsCollectible | ( |  | ) |

## ◆ IsNull()

boolean ItemConfig::Item::IsNull | ( |  | ) |

## ◆ IsTrinket()

boolean ItemConfig::Item::IsTrinket | ( |  | ) |

## Member Data Documentation

## ◆ AchievementID

integer ItemConfig::Item::AchievementID

## ◆ AddBlackHearts

integer ItemConfig::Item::AddBlackHearts

## ◆ AddBombs

integer ItemConfig::Item::AddBombs

## ◆ AddCoins

integer ItemConfig::Item::AddCoins

## ◆ AddHearts

integer ItemConfig::Item::AddHearts

## ◆ AddKeys

integer ItemConfig::Item::AddKeys

## ◆ AddMaxHearts

integer ItemConfig::Item::AddMaxHearts

## ◆ AddSoulHearts

integer ItemConfig::Item::AddSoulHearts

## ◆ CacheFlags

integer ItemConfig::Item::CacheFlags

## ◆ Costume

const const Costume& ItemConfig::Item::Costume

## ◆ Description

string ItemConfig::Item::Description

## ◆ DevilPrice

integer ItemConfig::Item::DevilPrice

## ◆ Discharged

boolean ItemConfig::Item::Discharged

## ◆ GfxFileName

string ItemConfig::Item::GfxFileName

## ◆ ID

integer ItemConfig::Item::ID

## ◆ MaxCharges

integer ItemConfig::Item::MaxCharges

## ◆ MaxCooldown

integer ItemConfig::Item::MaxCooldown

## ◆ Name

string ItemConfig::Item::Name

## ◆ Special

boolean ItemConfig::Item::Special

## ◆ Type

ItemType ItemConfig::Item::Type

mostly for Lua so it will not make a copy